clang-tools 10.0.0

Classes | Public Types | Public Member Functions | List of all members
clang::clangd::SymbolSlab Class Reference

An immutable symbol container that stores a set of symbols. More...

`#include <Symbol.h>`

## Classes
class | Builder
| SymbolSlab::Builder is a mutable container that can 'freeze' to SymbolSlab. More...

## Public Types
using | const_iterator = std::vector< Symbol >::const_iterator
using | iterator = const_iterator
using | value_type = Symbol

## Public Member Functions
| SymbolSlab ()=default
const_iterator | begin () const
const_iterator | end () const
const_iterator | find (const SymbolID &SymID) const
size_t | size () const
bool | empty () const
size_t | bytes () const

## Detailed Description

An immutable symbol container that stores a set of symbols.

The container will maintain the lifetime of the symbols.

Definition at line 177 of file Symbol.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::clangd::SymbolSlab::const_iterator = std::vector<Symbol>::const_iterator

Definition at line 179 of file Symbol.h.

## ◆ iterator

using clang::clangd::SymbolSlab::iterator = const_iterator

Definition at line 180 of file Symbol.h.

## ◆ value_type

using clang::clangd::SymbolSlab::value_type = Symbol

Definition at line 181 of file Symbol.h.

## Constructor & Destructor Documentation

## ◆ SymbolSlab()

clang::clangd::SymbolSlab::SymbolSlab | ( |  | ) |
| default

Referenced by clang::clangd::SymbolSlab::Builder::build().

## Member Function Documentation

## ◆ begin()

const_iterator clang::clangd::SymbolSlab::begin | ( |  | ) | const
| inline

Definition at line 185 of file Symbol.h.

References Symbols.

## ◆ bytes()

size_t clang::clangd::SymbolSlab::bytes | ( |  | ) | const
| inline

Definition at line 192 of file Symbol.h.

References Arena, and Symbols.

## ◆ empty()

bool clang::clangd::SymbolSlab::empty | ( |  | ) | const
| inline

Definition at line 190 of file Symbol.h.

References Symbols.

## ◆ end()

const_iterator clang::clangd::SymbolSlab::end | ( |  | ) | const
| inline

Definition at line 186 of file Symbol.h.

References Symbols.

## ◆ find()

SymbolSlab::const_iterator clang::clangd::SymbolSlab::find | ( | const SymbolID & | SymID | ) | const

Definition at line 37 of file Symbol.cpp.

## ◆ size()

size_t clang::clangd::SymbolSlab::size | ( |  | ) | const
| inline

Definition at line 189 of file Symbol.h.

References Symbols.

The documentation for this class was generated from the following files:

- Symbol.h
- Symbol.cpp